#!/usr/bin/python
# This file is part of DesktopDig
# Copyright (C) 2002 Daniel Naber <daniel.naber@t-online.de>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA

import FullTextIndexTest
#import SearchTermsTest
import SearchTest
import TokenizerTest

import unittest

suits = []
suits.append(unittest.makeSuite(FullTextIndexTest.FullTextIndexTest, 'test'))
#suits.append(unittest.makeSuite(SearchTermsTest.SearchTermsTest, 'test'))
suits.append(unittest.makeSuite(SearchTest.SearchTest, 'test'))
suits.append(unittest.makeSuite(TokenizerTest.TokenizerTest, 'test'))
alltests = unittest.TestSuite(suits)

runner = unittest.TextTestRunner()
runner.run(alltests)
